ファブリックポートによるインターネットアクセスのご注文
Equinix Internet Access(EIA)は、複数のティア1インターネットサービスプロバイダ(ISP)とEquinix Internet Exchange(IX)を利用したブレンデッドインターネットアクセスを提供し、高可用性、高信頼性、高速性を実現します。
- お客様のFabricポートとEquinix Internet Accessサービスプロファイル間のFabric接続は無料で提供されます。
- Internet Accessサービスインスタンスのデプロビジョニング](deprovision-eia-api.md)を行うと、関連するFabric接続もデプロビジョニングされます。
- Internet Accessサービスインスタンスのプロビジョニングに問題が発生した場合、関連するFabric接続は自動的にデプロビジョニングされます。
Equinix Internet Access with Fabricは、Equinix Identity and Access Management に登録されている組織で利用できます。APIリクエストを送信するアカウントには、Equinix Fabric Manager ロールが必要です。
まだEquinix Identity & Access Managementの導入がお済みでないお客様は、Equinix Internet Access with Dedicated Portのご注文をご利用ください。
必須条件
-
認証 - OAuth2用のユーザー認証情報、クライアントID、クライアントシークレットを送信します。 認証を使用します。OAuth APIを呼び出して認証情報を検証および認証する方法については、API認証を参照してください。
-
A側の情報を決定します。Fabric ポート情報を取得するには、
/fabric/v4/portsエンドポイントにGETリクエストを送信します。ポートUUID(複数可)、リンクプロトコルタイプ、(DOT1QまたはQINQ)が必要です。冗長接続を作成する場合は、PRIMARYポートとSECONDARYポートの両方を選択してください。この情報は接続作成リクエストに必要です。 -
サイド情報を決定します。Internet Accessサービスプロファイルのタイプは
IA_PROFILEで、IDは32d81829-0bf8-45d5-84e2-7289a553dbb6です。サービスのメトロロケーションを調べるには、/internetAccess/v2/ibxsエンドポイントにGETリクエストを送信して、Internet Access が利用可能なロケーションを調べます。この情報はインターネットアクセスサービスの注文に必要です。
インターネットアクセス接続の作成
Internet Access サービスの接続を作成するには、/fabric/v4/connections エンドポイントに POST リクエストを送信します。接続の type は IA_VC です。
aSide`オブジェクトに以下のようなポート情報をプロバイダとして入力してください:
accessPoint.typeasCOLO- ポートのUUIDを
port.uuidにプロバイダしてください。
Dot1qポートから接続する場合:
- linkProtocol.type as `DOT1Q`.
- VLAN ID を `linkProtocol.vlanTag` にプロバイダします。
QinQポートから接続する場合:
- linkProtocol.type に `QINQ` を指定します。
- 内側のタグ ID を `linkProtocol.vlanCTag` にプロバイダします。
- 外部タグ ID を `linkProtocol.vlanSTag` にプロバイダします。
- 冗長接続を作成する場合は、2つのリクエストを行ってください。
一方のリクエストにはプライマリポートと
redundancy.priorityをPRIMARYに設定し、もう一方のリクエストにはセカンダリポートとredundancy.priorityをSECONDARYに設定し、redundancy.groupには最初の接続の UUID を指定してください。
インターネットAccessサービスプロファイルをzSideオブジェクトにプロバイダします:
accessPoint.typeasSP.profile.typeasIA_PROFILEprofile.uuidas32d81829-0bf8-45d5-84e2-7289a553dbb6metroCodeas the two letter metro code of the Internet Access metro you are connecting to.
サンプルcURLリクエスト:
Primary connection example
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "IA_VC",
"name": "<your_connection_name>",
"bandwidth": <connection_speed>,
"redundancy": {
"priority": "PRIMARY"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "<your_port_uuid>"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": <vlan_id>
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"type": "IA_PROFILE",
"uuid": "32d81829-0bf8-45d5-84e2-7289a553dbb6"
},
"location": {
"metroCode": "<metro_code>"
}
}
},
"project": {
"projectId": "<project_id>"
},
"order": {
"purchaseOrderNumber": "<purchase_order_number>"
},
"notifications": [
{
"type": "ALL",
"emails": [
"<contact_email>"
]
}
]
}'
Secondary connection example
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "IA_VC",
"name": "<your_connection_name>",
"bandwidth": <connection_speed>,
"redundancy": {
"priority": "SECONDARY",
"group": "<primary_connection_uuid>"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "<your_port_uuid>"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": <vlan_id>
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"type": "IA_PROFILE",
"uuid": "32d81829-0bf8-45d5-84e2-7289a553dbb6"
},
"location": {
"metroCode": "<metro_code>"
}
}
},
"project": {
"projectId": "<project_id>"
},
"order": {
"purchaseOrderNumber": "<purchase_order_number>"
},
"notifications": [
{
"type": "ALL",
"emails": [
"<contact_email>"
]
}
]
}'
レスポンスには、インターネット Access サービスの接続 ID である uuid が含まれます。インターネットアクセスサービスを注文するには、この接続UUIDが必要です。
プロバイダ割り当てIPブロックによるサービスの注文
Internet Accessサービスを注文するには、/internetAccess/v2/servicesエンドポイントにPOSTリクエストを送信します。
冗長性を確保するために、サービスに 2 つの接続を作成した場合は、type を DUAL に設定し、両方の接続 ID を connections 配列に提供します。
サービスに1つの接続を作成した場合は、type を SINGLE に設定し、接続 ID を connections 配列に指定します。
routingProtocol`オブジェクトで次のように指定します:
- routingProtocol.type
をSTATIC、DIRECT、BGP` から選択します。 - エクイニクスが所有する(PA)IPブロックを使用してサービスを注文する場合は、
ipBlock.prefixLength値を必要なIPブロックのサイズに設定してください。
APAC地域のIBXデータセンターの1つにあるEIAサービスインスタンスを注文する場合、PA IPv4ブロックの場合は、addressingPlansとquestions情報を必ずipBlockオブジェクトに追加してください。詳細については、API reference を参照してください。
スタティックルーティング
スタティック・ルーティングに関するドキュメントはこちらにあります。
サンプルcURLリクエスト:
Single Static Service in APAC region example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>,
"addressingPlans": [
{
"afterThreeMonths": <number_of_ip_addresses_used_after_three_months>,
"immediate": <number_of_ip_addresses_used_instantly>,
"purpose": "<purpose_of_ip_block>",
"size": <number_of_ip_addresses_requested>
}
],
"questions": [
{
"answer": "YES",
"type": "PRIVATE_SPACE_CONSIDERED"
},
{
"answer": "NO",
"type": "REFUSED_PREVIOUSLY"
},
{
"answer": "NO",
"type": "RETURNING_ADDRESS_SPACE"
}
]
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
Dual Static Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
ダイレクトルーティング
ダイレクトルーティングに関するドキュメントはこちらを参照してください。
サンプルcURLリクエスト:
Single Direct Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "DIRECT",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
Dual Direct Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "DIRECT",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
BGPルーティング
routingProtocol`オブジェクトにBGP設定の詳細を指定します:
- routingProtocol.exportPolicy
で、インターネットにアドバタイズするルートをFULL、DEFAULT、FULL_DEFAULT、PARTIAL` のいずれかに設定します。 - routingProtocol.customerAsnRange`に、16ビットASNの場合はBITS_16、32ビットASNの場合はBITS_32をプロバイダに指定してください。
- 必要に応じて、
routingProtocol.bgpAuthKeyに bgpAuthKey を指定してください。
BGPルーティングに関するドキュメントはこちらにあります。
サンプルcURLリクエスト:
Single BGP Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "My Internet Access Service",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
Dual BGP Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
プロバイダ独立IPブロックによるサービスの注文
独自のIPブロック(PI)を使用してサービスを注文する場合は、customerRoutes.prefixで指定してください。
スタティックルーティング
サンプルcURLリクエスト:
Single Static Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
Dual Static Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
ダイレクトルーティング
peeringオブジェクトで、ピアリングに使用できるIPブロックを指定します。 シングルサービスタイプの場合は、equinixPeerIps配列に1つのIPアドレスのみを指定してください。 デュアルサービスタイプの場合は、equinixPeerIps配列に2つのIPアドレスと、equinixVRRPIp`フィールドにVRRP IPアドレスを指定してください。
サンプルcURLリクエスト:
Single Direct Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "DIRECT",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
],
"peerings": [
{
"equinixPeerIps": [
"<peering_ip_address>"
]
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
],
"peerings": [
{
"equinixPeerIps": [
"<peering_ip_address>"
]
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
Dual Direct Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "DIRECT",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
],
"peerings": [
{
"equinixPeerIps": [
"<peering_ip_address>",
"<peering_ip_address>"
],
"equinixVRRPIp": "<virtual_router_group_ip_address>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
],
"peerings": [
{
"equinixPeerIps": [
"<peering_ip_address>",
"<peering_ip_address>"
],
"equinixVRRPIp": "<virtual_router_group_ip_address>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
BGPルーティング
サンプルcURLリクエスト:
Single BGP Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
Dual BGP Service example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "DUAL",
"connections": [
"<connection_uuid1>", "<connection_uuid2>"
],
"routingProtocol": {
"type": "BGP",
"customerAsnRange": "<asn_range>",
"bgpAuthKey": "<bgp_auth_key>",
"exportPolicy": "<route_advertisement_code>",
"ipv4": {
"customerRoutes": [
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
PAおよびPI IPブロックの注文サービス
プロバイダ割り当て(PA)とプロバイダ独立(PI)の両方のIPブロックを使用してサービスを注文する場合は、適切なフィールドで2つ以上のカスタマー・ルート・オブジェクトを指定してください:
ipBlock.prefixLengthin case of Equinix provided IP Block (PA).customerRoutes.prefixin case of using your own IP Block (PI).
複数のIPブロックは、スタティックおよびBGPルーティングプロトコルでのみリクエストできます。
サンプルcURLリクエスト:
Provider Assigned and Provider Independent IP Blocks example
curl -X POST 'https://api.equinix.com/internetAccess/v2/services' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"name": "<your_service_name>",
"type": "SINGLE",
"connections": [
"<connection_uuid>"
],
"routingProtocol": {
"type": "STATIC",
"ipv4": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv4_ip_block>
}
},
{
"prefix": "<your_ipv4_ip_block>"
}
]
},
"ipv6": {
"customerRoutes": [
{
"ipBlock": {
"prefixLength": <size_of_ipv6_ip_block>
}
},
{
"prefix": "<your_ipv6_ip_block>"
}
]
}
},
"order": {
"purchaseOrder": {
"number": "<purchase_order_number>"
}
}
}'
リクエストの監視
接続作成リクエストのステータスを表示するには、fabric/v4/connections/{connectionId} エンドポイントに GET リクエストを送信します。
インターネットアクセスサービスの詳細を表示するには、internetAccess/v2/services/{serviceId} エンドポイントを使用します。
Internet Accessサービスインスタンスのプロビジョニングに問題が発生した場合、関連接続は自動的にデプロビジョニングされます。